<?php

declare(strict_types=1);

/**
 * This file is part of the EaseHtml package
 *
 * https://github.com/VitexSoftware/php-ease-html
 *
 * (c) Vítězslav Dvořák <http://vitexsoftware.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace Test\Ease\Html;

use Ease\Html\ImgTag;

/**
 * Generated by PHPUnit_SkeletonGenerator on 2016-01-17 at 23:59:00.
 */
class ImgTagTest extends TagTest
{
    public string $rendered = '<img src="http://localhost/favicon.png" />';
    protected $object;

    /**
     * Sets up the fixture, for example, opens a network connection.
     * This method is called before a test is executed.
     */
    protected function setUp(): void
    {
        $this->object = new ImgTag('http://localhost/favicon.png');
    }

    /**
     * Tears down the fixture, for example, closes a network connection.
     * This method is called after a test is executed.
     */
    protected function tearDown(): void
    {
    }

    /**
     * @covers \Ease\Html\ImgTag::__construct
     */
    public function testConstructor(): void
    {
        $object = new ImgTag('Tag', 'Alt', ['name' => 'Tag', 'id' => 'testing']);
        $this->assertEquals(
            '<img name="Tag" id="testing" src="Tag" alt="Alt" />',
            $object->getRendered(),
        );
    }

    /**
     * @covers \Ease\Html\ImgTag::draw
     *
     * @param null|mixed $whatWant
     */
    public function testDraw($whatWant = null): void
    {
        $this->assertEquals($this->rendered, $this->object->getRendered());
    }
}
