<?php

declare(strict_types=1);

/**
 * This file is part of the EaseHtml package
 *
 * https://github.com/VitexSoftware/php-ease-html
 *
 * (c) Vítězslav Dvořák <http://vitexsoftware.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace Test\Ease\Html;

/**
 * Generated by PHPUnit_SkeletonGenerator on 2016-01-17 at 23:58:39.
 */
class InputFileTagTest extends InputTagTest
{
    public string $rendered = '<input name="test" type="file" />';
    protected $object;

    /**
     * Sets up the fixture, for example, opens a network connection.
     * This method is called before a test is executed.
     */
    protected function setUp(): void
    {
        $this->object = new \Ease\Html\InputFileTag('test');
    }

    /**
     * Tears down the fixture, for example, closes a network connection.
     * This method is called after a test is executed.
     */
    protected function tearDown(): void
    {
    }

    /**
     * @covers \Ease\Html\InputFileTag::__construct
     */
    public function testConstructor(): void
    {
        $input = new \Ease\Html\InputFileTag('Tag', 'file.txt', ['id' => 'testing']);
        $this->assertEquals(
            '<input name="Tag" value="file.txt" id="testing" type="file" />',
            $input->getRendered(),
        );
    }

    /**
     * @covers \Ease\Html\InputFileTag::draw
     */
    public function testDraw($whatWant = null): void
    {
        $input = new \Ease\Html\InputFileTag('test');
        $this->assertEquals(
            '<input name="test" type="file" />',
            $input->getRendered(),
        );
    }
}
